InterceptFieldTransformer (cglib (Version 2.2.2))
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.transform.impl
Class InterceptFieldTransformer

    java.lang.Object
      org.objectweb.asm.ClassAdapter
          net.sf.cglib.core.ClassEmitter
              net.sf.cglib.transform.ClassEmitterTransformer
                  net.sf.cglib.transform.impl.InterceptFieldTransformer

All Implemented Interfaces:
  ClassTransformer, org.objectweb.asm.ClassVisitor

    public class InterceptFieldTransformer

extends ClassEmitterTransformer

Author:
  Juozas Baliuka, Chris Nokleberg

Constructor Summary
`InterceptFieldTransformer(InterceptFieldFilter filter)`

Method Summary
`void` | `begin_class(int version, int access, java.lang.String className, org.objectweb.asm.Type superType, org.objectweb.asm.Type[] interfaces, java.lang.String sourceFile)`
`CodeEmitter` | `begin_method(int access, Signature sig, org.objectweb.asm.Type[] exceptions)`
`void` | `declare_field(int access, java.lang.String name, org.objectweb.asm.Type type, java.lang.Object value)`

Methods inherited from class net.sf.cglib.core.ClassEmitter
`begin_static, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

Methods inherited from class org.objectweb.asm.ClassAdapter
`visitAnnotation, visitAttribute, visitInnerClass, visitOuterClass, visitSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.cglib.transform.ClassTransformer
`setTarget`

Methods inherited from interface org.objectweb.asm.ClassVisitor
`visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

Constructor Detail

### InterceptFieldTransformer

    public InterceptFieldTransformer(InterceptFieldFilter filter)

Method Detail

### begin_class

    public void begin_class(int version,
                            int access,
                            java.lang.String className,
                            org.objectweb.asm.Type superType,
                            org.objectweb.asm.Type[] interfaces,
                            java.lang.String sourceFile)

  Overrides:
    `begin_class` in class `ClassEmitter`

### declare_field

    public void declare_field(int access,
                              java.lang.String name,
                              org.objectweb.asm.Type type,
                              java.lang.Object value)

  Overrides:
    `declare_field` in class `ClassEmitter`

### begin_method

    public CodeEmitter begin_method(int access,
                                    Signature sig,
                                    org.objectweb.asm.Type[] exceptions)

  Overrides:
    `begin_method` in class `ClassEmitter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation